### Hierarchy

- XSLTProcessor

## Index

### Methods

- clearParameters
- getParameter
- importStylesheet
- removeParameter
- reset
- setParameter
- transformToDocument
- transformToFragment

## Methods

### clearParameters

- clearParameters(): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:17026

  #### Returns void

### getParameter

- getParameter(namespaceURI: string, localName: string): any

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:17027

  #### Parameters

  - ##### namespaceURI: string

  - ##### localName: string

  #### Returns any

### importStylesheet

- importStylesheet(style: Node): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:17028

  #### Parameters

  - ##### style: Node

  #### Returns void

### removeParameter

- removeParameter(namespaceURI: string, localName: string): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:17029

  #### Parameters

  - ##### namespaceURI: string

  - ##### localName: string

  #### Returns void

### reset

- reset(): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:17030

  #### Returns void

### setParameter

- setParameter(namespaceURI: string, localName: string, value: any): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:17031

  #### Parameters

  - ##### namespaceURI: string

  - ##### localName: string

  - ##### value: any

  #### Returns void

### transformToDocument

- transformToDocument(source: Node): Document

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:17032

  #### Parameters

  - ##### source: Node

  #### Returns Document

### transformToFragment

- transformToFragment(source: Node, document: Document): DocumentFragment

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:17033

  #### Parameters

  - ##### source: Node

  - ##### document: Document

  #### Returns DocumentFragment

Generated using TypeDoc